package com.tuoheng.admin.enums.code.section;

/**
 *  根据公路id获取该公路下公路列表返回码
 *      模块代码：22（路段管理）
 *      接口代码：04 （根据公路d获取该公路下公路列表）
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-11-24
 */
public enum QuerySectionListByRoadIdCodeEnum {

    QUERY_IS_FAILED(1220400, "获取数据失败"),
    ROAD_ID_IS_NULL(1220401, "公路id为空"),
    ROAD_IS_NOT_EXIST(1220402, "公路不存在"),
    SECTION_LIST_IS_NULL(1220403, "路段列表为空"),
    DEPT_ID_IS_NULL(1220404, "部门ID为空"),
    DEPT_IS_NOT_EXIST(1220405, "部门不存在");

    /**
     * 错误码
     */
    private int code;

    /**
     * 错误信息
     */
    private String msg;

    QuerySectionListByRoadIdCodeEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

}
